interface RecordVideoConfig {
    videoStreamID: string;
    audioStreamID: string;
    customMimeType?: string;
}
interface GetMediaStreamConfig {
    videoID: "none" | "default" | string;
    audioID: "none" | "default" | string;
}
export declare const useSimpleCamera: () => {
    permissionAcquired: boolean;
    isCameraActive: boolean;
    videoDevicesIDs: MediaStreamTrack[];
    audioDevicesIDs: MediaStreamTrack[];
    videoRecodingInProgress: boolean;
    acquirePermissions: () => Promise<void>;
    startCamera: (config?: MediaStreamConstraints) => Promise<void>;
    stopCamera: () => Promise<void>;
    getMediaStream: (config: GetMediaStreamConfig) => Promise<MediaStream>;
    captureImage: (videoTrackID?: string) => Promise<string>;
    recordVideo: (id: string, config?: RecordVideoConfig) => Promise<void>;
    stopVideoRecording: () => Promise<void>;
    getRecordedVideoURL: (videoID: string) => string;
    downloadRecordedVideo: (videoID: string, filename?: string) => void;
    getRecordedVideoBlob: (videoID: string) => Blob;
};
export {};
